package PureMessage::DMan;
use base 'Exporter';

use strict;
use PureMessage::Policy::Delay::DelayqPmdb;  
use PureMessage::Version qw($PREFIX);
use Carp;
our @EXPORT_OK = qw(retry trash);
sub trash{
	my $messages = shift;
    my %opts = @_;
	my $logger = $opts{logger} || croak "'trash()' requires a logger parameter";
    my $spec="$PREFIX/var/qdir/";
	eval{
		my $pmdb=PureMessage::Policy::Delay::DelayqPmdb->new($spec, %opts);
		$pmdb->update_useraction_message('delete',$messages);
	};
	if($@) {
	   $logger->log("WARNING","Failed to delete the message ");
		return 0;
	}
	return 1;	
}
sub retry{
	my $messages = shift;
    my %opts = @_;
	my $logger = $opts{logger} || croak "'approve()' requires a logger parameter";
    my $spec="$PREFIX/var/qdir/";
	my $error;
    if (exists $opts{on_error}) {
        die 'parameter "on_error" must be a subroutine',
            unless (ref($opts{on_error}) eq 'CODE');
        $error = sub {$opts{on_error}->(@_); return 0};
		delete $opts{on_error};
    }    
	eval{
		my $pmdb=PureMessage::Policy::Delay::DelayqPmdb->new($spec, %opts);
		$pmdb->update_useraction_message('retry',$messages);
	};
	if($@) {
	   $logger->log("WARNING","Failed to reinject the message ");
		return 0;
	}
	return 1;
}
1;
